# Generated by Django 3.2.6 on 2021-09-02 23:13

import app.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Announcement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=250, verbose_name='Tytuł')),
                ('content', models.TextField(verbose_name='Treść')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'verbose_name': 'Ogłoszenie',
                'verbose_name_plural': 'Ogłoszenia',
            },
        ),
        migrations.CreateModel(
            name='Edition',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.PositiveIntegerField(unique=True, verbose_name='Rok')),
                ('roman', models.CharField(max_length=25, verbose_name='Nr. edycji')),
                ('active', models.BooleanField(default=False, verbose_name='Aktualna')),
                ('submissions', models.BooleanField(default=False, verbose_name='Możliwość zgłoszenia drużyny')),
                ('scores_available', models.BooleanField(default=False, verbose_name='Wyniki dostępne')),
                ('scores_eliminations', models.BooleanField(default=False, verbose_name='Wyniki z eliminacji dostępne dla nauczycieli')),
                ('entry_threshold', models.IntegerField(default=0, verbose_name='Próg punkowy - wejście do finału')),
                ('award_threshold', models.IntegerField(default=0, verbose_name='Próg punktowy - wyróżnienie')),
                ('laureate_threshold', models.IntegerField(default=0, verbose_name='Próg punktowy - tytuł laureata')),
                ('scores', models.FileField(blank=True, help_text='Uwaga! Wyniki muszą być zawarte w pliku .csv. Kolumny po kolei to odpowiednio: identyfikator ucznia, wynik z eliminacji, wynik z finału.', upload_to='wyniki', verbose_name='Wyniki eliminacji')),
                ('first_test', models.FileField(blank=True, upload_to='eliminacje', verbose_name='Zadania eliminacyjne')),
                ('second_test', models.FileField(blank=True, upload_to='finaly', verbose_name='Zadania finałowe')),
            ],
            options={
                'verbose_name': 'Edycja',
                'verbose_name_plural': 'Edycje',
            },
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Imię')),
                ('surname', models.CharField(max_length=50, verbose_name='Nazwisko')),
                ('grade', models.PositiveIntegerField(choices=[(1, 1), (2, 2), (3, 3), (4, 4), (5, 5), (6, 6), (7, 7), (8, 8)], verbose_name='Klasa')),
                ('score_first', models.IntegerField(default=0, verbose_name='Wynik z eliminacji')),
                ('score_second', models.IntegerField(default=0, verbose_name='Wynik z finału')),
                ('school_name', models.CharField(blank=True, max_length=100, verbose_name='Nazwa szkoły')),
                ('school_town', models.CharField(blank=True, max_length=100, verbose_name='Miejscowość')),
                ('school_address', models.CharField(blank=True, max_length=100, verbose_name='Adres')),
                ('identifier', models.CharField(blank=True, help_text='UWAGA - tej wartości należy nie zmieniać', max_length=100, verbose_name='Identyfikator')),
            ],
            options={
                'verbose_name': 'Uczeń',
                'verbose_name_plural': 'Uczniowie',
            },
        ),
        migrations.CreateModel(
            name='School',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='Adres e-mail')),
                ('name', models.CharField(max_length=100, verbose_name='Nazwa szkoły')),
                ('town', models.CharField(max_length=100, verbose_name='Miejscowość')),
                ('address', models.CharField(max_length=100, verbose_name='Adres')),
                ('phone', models.PositiveIntegerField(null=True, verbose_name='Numer telefonu')),
                ('is_staff', models.BooleanField(default=False, verbose_name='Staff status')),
                ('is_active', models.BooleanField(default=True, verbose_name='Active status')),
                ('request_notifications', models.BooleanField(default=False, verbose_name='Powiadomienia przy wysłaniu zgłoszenia')),
                ('email_notifications', models.BooleanField(default=False, verbose_name='Powiadomienia przy wysłaniu wiadomości email')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'Szkoła',
                'verbose_name_plural': 'Szkoły',
            },
            managers=[
                ('objects', app.models.UserManager()),
            ],
        ),
    ]
